Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.work
Interface JBossWorkManagerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  JBossWorkManager

public interface JBossWorkManagerMBean
extends org.jboss.system.ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.resource.spi.work.WorkManager` | `getInstance()` Get the reference to this work manager
`javax.management.ObjectName` | `getThreadPoolName()` Get the thread pool name
`javax.management.ObjectName` | `getXATerminatorName()` Get the XATerminator
`void` | `setThreadPoolName(javax.management.ObjectName threadPoolName)` Set the thread pool name
`void` | `setXATerminatorName(javax.management.ObjectName xaTerminatorName)` Set the xa terminator

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getThreadPoolName

    public javax.management.ObjectName getThreadPoolName()

  Get the thread pool name

  Returns:
    the thread pool name

### setThreadPoolName

    public void setThreadPoolName(javax.management.ObjectName threadPoolName)

  Set the thread pool name

  Parameters:
    `threadPoolName` - the thread pool name

### getXATerminatorName

    public javax.management.ObjectName getXATerminatorName()

  Get the XATerminator

  Returns:
    the xa terminator

### setXATerminatorName

    public void setXATerminatorName(javax.management.ObjectName xaTerminatorName)

  Set the xa terminator

### getInstance

    public javax.resource.spi.work.WorkManager getInstance()

  Get the reference to this work manager

  Returns:
    the work manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.